DoxygenProcess

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.doxygen.tools
Class DoxygenProcess

    java.lang.Object
      org.doxygen.tools.DoxygenProcess

public class DoxygenProcess
extends java.lang.Object

This class is responsible for forking doxygen process. And capturing output from the same.

Since:
  Ant-Doxygen 1.3.1
Version:
  $Revision: 1.1.2.3 $

Field Summary
`static java.lang.String` | `DOXY_TEMP` Name of the temporary file to get the version of doxygen installed on system.

Constructor Summary
`DoxygenProcess()`

Method Summary
`void` | `checkVersion(java.lang.String versionCompatible)` This method ensures that we have a supported version of Doxygen in the environment.
`void` | `createConfig(java.lang.String theConfigFilename)` This method executes the doxygen command line utility to generate the skeleton configuration file.
`void` | `executeDoxygenConfig(java.lang.String filename)`
`void` | `setDoxygenPath(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOXY_TEMP

    public static final java.lang.String DOXY_TEMP

  Name of the temporary file to get the version of doxygen installed on system. ${user.home} used as temporary file.

Constructor Detail

### DoxygenProcess

    public DoxygenProcess()

Method Detail

### setDoxygenPath

    public void setDoxygenPath(java.lang.String path)

### checkVersion

    public final void checkVersion(java.lang.String versionCompatible)

  This method ensures that we have a supported version of Doxygen in the environment. This Ant task knows many of the attributes in the minimum version. Attempts to specify items that the current Doxygen does not understand will be mysteriously ignored (Ant user perspective). Therefore, a check is made to highlight any potential version incompatibilities.
  Ideally, each Ant task attribute would be version aware and collectively indicate which attributes are not supported by the underlying Doxygen executable. (But the code is not there yet.)
  \test the Ant task should fail if the detected Doxygen version is too old.
  \test the Ant task should whine, but not fail if the user claims ignoreVersion="true" and the detected Doxygen version is too old.
  \test the Ant task should not fail if the detected Doxygen version is minimally supported.

### createConfig

    public final void createConfig(java.lang.String theConfigFilename)

  This method executes the doxygen command line utility to generate the skeleton configuration file. \bug ID=xxxxxx: If not verbose, the output of Doxygen should be seen via Ant output. This is not the case (yet). \test the amalgamated configuration file is generated in System.getProperty("user.home"). \test The amalgamated configuration file basis can be controlled by the Ant task user.

  Parameters:
    `theConfigFilename` - used by Doxygen.

### executeDoxygenConfig

    public void executeDoxygenConfig(java.lang.String filename)

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Ant-Doxygen JavaDocs